Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004173 [JEDI VCL] 00 JVCL Components minor always 2007-07-10 09:41 2007-08-07 03:13
Reporter westphal View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0004173: ListView and TJvListItems fonts trouble
Description when not using vsReport in ViewStylesItemBrush, item are displayed in bold:

proposed solution:

constructor TJvListItem.CreateEnh(AOwner: TListItems; const Popup: TPopupMenu);
begin
  inherited Create(AOwner);

  FBold := False;
  FPopupMenu := Popup; // (Salvatore) Get it from the JvListView
  FFont := TFont.Create;
  FBrush := TBrush.Create;
  FGroupId := -1;
  FTileColumns := TIntegerList.Create;

  FTileColumns.OnChange := TileColumnsChange;
  if AOwner.Owner is TJvListView then
    FFont.Assign((AOwner.Owner as TJvListView).canvas.Font); // <----
end;
Additional Information Related, i think, to id 0003932
Tags No tags attached.
Attached Files

- Relationships
related to 0003932resolvedobones JvListView: When the item brush is not used the font settings are ignored. 

-  Notes
(0013617)
obones (administrator)
2007-08-07 03:13

Thanks, this is now in SVN

- Issue History
Date Modified Username Field Change
2007-07-10 09:41 westphal New Issue
2007-07-11 01:23 obones Relationship added related to 0003932
2007-08-07 03:13 obones Status new => resolved
2007-08-07 03:13 obones Fixed in Version => Daily / SVN
2007-08-07 03:13 obones Resolution open => fixed
2007-08-07 03:13 obones Assigned To => obones
2007-08-07 03:13 obones Note Added: 0013617


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker